## healpy 1.14.0

=== cfitsio/CMakeLists.txt ===
# CFITSIO CMakeLists.txt

# Suppress warning about WIN32 no longer being defined on Cygwin:
SET(CMAKE_LEGACY_CYGWIN_WIN32 0)

PROJECT(CFITSIO)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)

# Allow @rpath token in target install name on Macs.
# See "cmake --help-policy CMP0042" for more information.
IF(POLICY CMP0042)
  CMAKE_POLICY(SET CMP0042 NEW)
ENDIF()

INCLUDE (${CMAKE_ROOT}/Modules/CheckLibraryExists.cmake)
INCLUDE (${CMAKE_ROOT}/Modules/CheckFunctionExists.cmake)

# Allow the developer to select if Dynamic or Static libraries are built
OPTION (BUILD_SHARED_LIBS "Build Shared Libraries" ON)
OPTION (USE_PTHREADS "Thread-safe build (using pthreads)" OFF)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}")
set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")

# Define project version
SET(${PROJECT_NAME}_MAJOR_VERSION 3)
SET(${PROJECT_NAME}_MINOR_VERSION 48)
SET(${PROJECT_NAME}_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION})
SET(LIB_NAME cfitsio)

# Microsoft Visual Studio:
IF(MSVC OR BORLAND)
    # Define
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
    # Need an empty unistd.h in MSVC for flex-generated eval_l.c:
    FILE(WRITE ${CMAKE_SOURCE_DIR}/unistd.h "")
    INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
ENDIF()

IF(BORLAND)
    # Suppress spurious Borland compiler warnings about "Suspicious
    # pointer arithmetic", "Possibly incorrect assignment", and
    # "Comparing signed and unsigned values".
    ADD_DEFINITIONS(-w-spa)
    ADD_DEFINITIONS(-w-pia)
    ADD_DEFINITIONS(-w-csu)
ENDIF()

#add_subdirectory (src)

SET (LIB_TYPE STATIC)
IF (BUILD_SHARED_LIBS)
  SET (LIB_TYPE SHARED)
ENDIF (BUILD_SHARED_LIBS)


FILE(GLOB H_FILES "*.h")

IF (USE_PTHREADS)
    FIND_PACKAGE(pthreads REQUIRED)
    INCLUDE_DIRECTORIES(${PTHREADS_INCLUDE_DIR})
    ADD_DEFINITIONS(-D_REENTRANT)
ENDIF()

# Math library (not available in MSVC or MINGW)
IF (MSVC OR MINGW)
    SET(M_LIB "")
ELSE()
    FIND_LIBRARY(M_LIB m)
ENDIF()

# Support for remote file drivers is not implemented for native Windows:
IF (NOT MSVC)
    # Find library needed for gethostbyname:
    CHECK_FUNCTION_EXISTS("gethostbyname" CMAKE_HAVE_GETHOSTBYNAME)
    IF(NOT CMAKE_HAVE_GETHOSTBYNAME)
       CHECK_LIBRARY_EXISTS("nsl" "gethostbyname" "" CMAKE_HAVE_GETHOSTBYNAME)
    ENDIF()

    # Find library needed for connect:
    CHECK_FUNCTION_EXISTS("connect" CMAKE_HAVE_CONNECT)
    IF(NOT CMAKE_HAVE_CONNECT)
       CHECK_LIBRARY_EXISTS("socket" "connect" "" CMAKE_HAVE_CONNECT)
    ENDIF()

    # Define HAVE_NET_SERVICES if gethostbyname & connect were found:
    IF (CMAKE_HAVE_GETHOSTBYNAME AND CMAKE_HAVE_CONNECT)
        ADD_DEFINITIONS(-DHAVE_NET_SERVICES)
    ENDIF ()

    # Find curl library, for HTTPS support:
    FIND_PACKAGE(CURL)
    IF (CURL_FOUND)
        INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
        ADD_DEFINITIONS(-DCFITSIO_HAVE_CURL)
    ENDIF()
ENDIF()

SET(SRC_FILES
    buffers.c cfileio.c checksum.c
    drvrfile.c drvrmem.c drvrnet.c
    editcol.c edithdu.c eval_f.c eval_l.c eval_y.c
    f77_wrap1.c f77_wrap2.c f77_wrap3.c f77_wrap4.c
    fits_hcompress.c fits_hdecompress.c fitscore.c
    getcol.c getcolb.c getcold.c getcole.c getcoli.c getcolj.c getcolk.c
    getcoll.c getcols.c getcolsb.c getcolui.c getcoluj.c getcoluk.c
    getkey.c group.c grparser.c histo.c imcompress.c iraffits.c modkey.c
    pliocomp.c
    putcol.c putcolb.c putcold.c putcole.c putcoli.c putcolj.c putcolk.c
    putcoll.c putcols.c putcolsb.c putcolu.c putcolui.c putcoluj.c putcoluk.c
    putkey.c quantize.c region.c ricecomp.c scalnull.c simplerng.c swapproc.c
    wcssub.c wcsutil.c zlib/zcompress.c zlib/zuncompress.c
)

# For future modifications:

# drvrsmem.c is only usable if HAVE_SHMEM_SERVICES is defined:
#drvrsmem.c

# drvrgsiftp.c is only usable if HAVE_NET_SERVICES & HAVE_GSIFTP are defined:
#drvrgsiftp.c

# Only include zlib source files if we are building a shared library.
# Users will need to link their executable with zlib independently.
IF (BUILD_SHARED_LIBS)
    set(SRC_FILES ${SRC_FILES}
        zlib/adler32.c zlib/crc32.c zlib/deflate.c zlib/infback.c
        zlib/inffast.c zlib/inflate.c zlib/inftrees.c zlib/trees.c
        zlib/uncompr.c zlib/zutil.c
        )
ENDIF()

ADD_LIBRARY(${LIB_NAME} ${LIB_TYPE} ${H_FILES} ${SRC_FILES})
TARGET_LINK_LIBRARIES(${LIB_NAME} ${PTHREADS_LIBRARY} ${M_LIB})
IF(CURL_FOUND)
    TARGET_LINK_LIBRARIES(${LIB_NAME} ${CURL_LIBRARIES})
ENDIF(CURL_FOUND)

SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES VERSION ${${PROJECT_NAME}_VERSION} SOVERSION ${${PROJECT_NAME}_MAJOR_VERSION})
install(TARGETS ${LIB_NAME} DESTINATION ${LIB_DESTINATION})
install(TARGETS ${LIB_NAME}
                            RUNTIME DESTINATION bin
                            LIBRARY DESTINATION lib
                            ARCHIVE DESTINATION lib)
install(FILES ${H_FILES} DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

# Only build test code and executables if building a shared library:
IF (BUILD_SHARED_LIBS)

    ENABLE_TESTING()

    ADD_EXECUTABLE(TestProg testprog.c)
    TARGET_LINK_LIBRARIES(TestProg ${LIB_NAME})
    ADD_TEST(TestProg TestProg)
    # Copy testprog.tpt to build directory to allow quick test
    # of ./TestProg (or .\Release\TestProg.exe in MSVC):
    FILE(COPY ${CMAKE_SOURCE_DIR}/testprog.tpt DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

    ADD_EXECUTABLE(cookbook cookbook.c)
    TARGET_LINK_LIBRARIES(cookbook ${LIB_NAME})
    ADD_TEST(cookbook cookbook)

    ADD_EXECUTABLE(FPack fpack.c fpackutil.c)
    TARGET_LINK_LIBRARIES(FPack ${LIB_NAME})

    ADD_EXECUTABLE(Funpack funpack.c fpackutil.c)
    TARGET_LINK_LIBRARIES(Funpack ${LIB_NAME})

    ADD_EXECUTABLE(Fitscopy fitscopy.c)
    TARGET_LINK_LIBRARIES(Fitscopy ${LIB_NAME})

    # To expand the command line arguments in Windows, see:
    # http://msdn.microsoft.com/en-us/library/8bch7bkk.aspx
    if(MSVC)
      set_target_properties(FPack Funpack PROPERTIES LINK_FLAGS "setargv.obj")
    endif(MSVC)

ENDIF(BUILD_SHARED_LIBS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cfitsio.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cfitsio.pc DESTINATION lib/pkgconfig/)

## healpy 1.7.4

=== debian/changelog ===
healpy (1.7.4-2) unstable; urgency=medium

  * Added cfitsio/zlib to debian/copyright. 

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Apr 2014 12:37:47 -0700

healpy (1.7.4-1) unstable; urgency=low

  * New upstream version.
  * Correct watch file to skip upstream pre-releases.
  * Fine-tune debian/copyright.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 26 Feb 2014 16:53:45 -0800

healpy (1.7.3-2) unstable; urgency=low

  * Update standards version to 3.9.5.
  * Add build-depends on autotools-dev to update outdated files.
  * Add watch file. 

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Feb 2014 11:13:06 -0800

healpy (1.7.3-1) UNRELEASED; urgency=low

  * Initial release (Closes: #737272).
  * source package automatically created by stdeb 0.6.0+git
  * silenced some warnings by adding a pydist-overrides file
  * add Numpy ABI dependency by running dh_numpy
  * depend on healpix-cxx >= 3.11
  * update to debhelper 9
  * depend on python-setuptools >= 0.6.14 for compatibility with Squeeze

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Jan 2014 15:25:17 -0800

=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 python-setuptools (>= 0.6.14),
 python-all-dev (>= 2.6.6-3),
 debhelper (>= 9),
 libcfitsio3-dev,
 libhealpix-cxx-dev (>= 3.11),
 python-numpy,
 pkg-config,
 autotools-dev
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/healpix/healpy/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
Standards-Version: 3.9.5

Package: python-healpy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy
Suggests: python-pyfits, python-matplotlib
Description: HEALPix representation of spherical data - Python interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python wrapper around the C++ implementation of
 HEALPix.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 05 Apr 2013 12:56:56 -0700

%:
	dh $@ --with python2

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy

## healpy 1.8.1

=== debian/changelog ===
healpy (1.8.1-1.1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 13:52:10 +0000

healpy (1.8.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install matplotlibrc file that sets the matplotlib backend to Agg for
    tests in the new pybuild location for running tests (Closes: #799694)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Oct 2015 17:21:20 -0400

healpy (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency on python-six. 
  * Enable unit tests.
  * Restrict to 64-bit architectures. The unit tests only pass on 32-bit
    architectures because they are limited by Numpy's index type.
    See upstream issue https://github.com/healpy/healpy/issues/194
  * Use canonical VCS server svn://anonscm.debian.org/. See
    http://lintian.debian.org/tags/vcs-field-not-canonical.html 

 -- Leo Singer <leo.singer@ligo.org>  Sun, 22 Jun 2014 11:28:11 -0700

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,31 @@
 Build-Depends:
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.6.6-3),
+ python-matplotlib,
+ python-numpy,
+ python-pyfits,
+ python-pytest,
+ python-six,
+ python3-setuptools,
+ python3-all-dev,
+ python3-matplotlib,
+ python3-numpy,
+ python3-pyfits,
+ python3-pytest,
+ python3-six,
  debhelper (>= 9),
  libcfitsio3-dev,
  libhealpix-cxx-dev (>= 3.11),
- python-numpy,
  pkg-config,
  autotools-dev
 X-Python-Version: >= 2.6
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/healpix/healpy/trunk/
+X-Python3-Version: >= 3.2
+Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
 Standards-Version: 3.9.5
 
 Package: python-healpy
-Architecture: any
+Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy
 Suggests: python-pyfits, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
@@ -31,3 +43,18 @@
  .
  This package provides a Python wrapper around the C++ implementation of
  HEALPix.
+
+Package: python3-healpy
+Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy
+Suggests: python3-pyfits, python3-matplotlib
+Description: HEALPix representation of spherical data - Python interface
+ HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
+ of a sphere. As suggested in the name, this pixelization produces a
+ subdivision of a spherical surface in which each pixel covers the same
+ surface area as every other pixel. It is commonly used to store all-sky
+ astronomical images, most famously maps of the cosmic microwave background.
+ .
+ This package provides a Python wrapper around the C++ implementation of
+ HEALPix.
+

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=healpy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

matplotlibrc:
	echo backend: agg > $@

override_dh_auto_test: matplotlibrc
	cp matplotlibrc .pybuild/pythonX.Y_2.7/build/
	for pv in $(shell (py3versions -vr)); do \
		cp matplotlibrc .pybuild/pythonX.Y_$$pv/build/ ; \
	done
	dh_auto_test

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/h/healpy/healpy-([\d\.]*)\.tar\.gz

## healpy 1.9.1

=== debian/changelog ===
healpy (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove unnecessary pydist-overrides file.
  * Fix permissions on data files.
  * Move platform-independent data files into a new package,
    python-healpy-data.
  * Fix "FTBFS: ValueError: Header update sequence item #0 is invalid;
    the item must either be a 2-tuple containing a keyword and value, or
    a 3-tuple containing a keyword, value, and comment string." This was
    fixed by the new upstream release. (Closes: #813781)
  * Make sure that no Python bytecode is written when running unit
    tests (fixes a Lintian package-installs-python-pycache-dir warning)
  * Fix broken debian/watch file due to PyPI API changes.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 May 2016 19:13:07 -0400

=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 python-setuptools (>= 0.6.14),
 python-all-dev (>= 2.7),
 python-matplotlib,
 python-numpy,
 python-astropy,
 python-pytest,
 python-six,
 python3-setuptools,
 python3-all-dev,
 python3-matplotlib,
 python3-numpy,
 python3-astropy,
 python3-pytest,
 python3-six,
 debhelper (>= 9),
 libcfitsio3-dev,
 libhealpix-cxx-dev (>= 3.30.0),
 pkg-config,
 autotools-dev
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
Vcs-Browser: https://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
Standards-Version: 3.9.8

Package: python-healpy-data
Architecture: all
Depends: ${misc:Depends}
Description: HEALPix representation of spherical data - Python data
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides platform-independent data and test files for the Python
 wrapper around the C++ implementation of HEALPix.

Package: python-healpy
Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data
Suggests: python-astropy, python-matplotlib
Description: HEALPix representation of spherical data - Python interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python wrapper around the C++ implementation of
 HEALPix.

Package: python3-healpy
Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data
Suggests: python3-astropy, python3-matplotlib
Description: HEALPix representation of spherical data - Python3 interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python3 wrapper around the C++ implementation of
 HEALPix.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=healpy

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy
	dh_numpy3

matplotlibrc:
	echo backend: agg > $@

override_dh_auto_test: matplotlibrc
	PYTHONDONTWRITEBYTECODE=yes dh_auto_test

# After installing, remove data directories that we will replace with symlinks
override_dh_install:
	dh_install
	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data

# Fix permissions on data files
override_dh_fixperms:
	chmod -x \
		debian/python-healpy-data/usr/share/healpy/data/* \
		debian/python-healpy-data/usr/share/healpy/test/data/*
	dh_fixperms

=== debian/watch ===
version=3
https://pypi.python.org/simple/healpy .*/.*/.*/.*/.*/.*/healpy-([\d\.]*)\.tar\.gz#.*

## healpy 1.10.1

=== debian/changelog ===
healpy (1.10.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 29 Nov 2016 11:58:44 -0500

healpy (1.10.1-2) unstable; urgency=medium

  * Fix wrong e-mail in changelog.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 15 Nov 2016 12:09:02 -0500

healpy (1.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Moved packaging to git.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 08 Nov 2016 19:12:16 -0500

healpy (1.9.1-4) unstable; urgency=medium

  * Remove matplotlibrc file in dh_clean phase.
  * Enable build hardening.
  * Add versioned dependency on libhealpix-cxx0.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 03 Sep 2016 19:39:30 -0400

healpy (1.9.1-3) unstable; urgency=medium

  * Change maintainer from Debian Science Team to Debian Astro Team.
  * Enable link-time optimization.
  * Depend on libcfitsio-dev instead of transitional libcfitsio3-dev package.
    (Closes: #761711)
  * Add continuous integration testing.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 29 May 2016 14:10:26 -0400

healpy (1.9.1-2) unstable; urgency=medium

  * Adjust dh_fixperms override so that it only affects architecture-
    independent packages. This should fix autobuilding of non-amd64
    architectures.
  * Add missing build dependency on dh-python.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 May 2016 10:51:25 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: healpy
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Homepage: http://healpy.readthedocs.org
 Section: python
@@ -20,14 +20,15 @@
  python3-pytest,
  python3-six,
  debhelper (>= 9),
- libcfitsio3-dev,
+ dh-python,
+ libcfitsio-dev,
  libhealpix-cxx-dev (>= 3.30.0),
  pkg-config,
  autotools-dev
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/healpix/healpy/trunk/
-Vcs-Browser: https://svn.debian.org/viewsvn/debian-science/packages/healpix/healpy/trunk/
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/healpy.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/healpy.git
 Standards-Version: 3.9.8
 
 Package: python-healpy-data
@@ -45,7 +46,7 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python-astropy, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -59,7 +60,7 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python3-astropy, python3-matplotlib
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization

## healpy 1.10.3

=== debian/changelog ===
healpy (1.10.3-3) unstable; urgency=medium

  * Update Standards-Version to 4.1.4.
  * Update to debhelper 11.
  * Rename python-healpy-data to healpy-data.
  * Fix lintian warning: insecure-copyright-format-uri.
  * Apply patch from upstream to fix doctest failures due to
    changes in Numpy string representation of arrays.
  * Move Debian package source to salsa.debian.org.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 May 2018 17:36:57 -0400

healpy (1.10.3-2) unstable; urgency=medium

  * No-change rebuild against latest g++ ABI (Closes: #793248)

 -- Leo Singer <leo.singer@ligo.org>  Mon, 23 Jan 2017 12:43:51 -0500

healpy (1.10.3-1) unstable; urgency=medium

  * Fix CI test failures due to typo in doctest.
  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 29 Dec 2016 09:37:51 -0500

healpy (1.10.2-1) unstable; urgency=medium

  * Fix "FTBFS: Test failures" with new upstream version
    (Closes: #848775)
  * Add multi-arch properties.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 20 Dec 2016 15:33:03 -0500

=== debian/control ===
--- 
+++ 
@@ -19,20 +19,29 @@
  python3-astropy,
  python3-pytest,
  python3-six,
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  libcfitsio-dev,
  libhealpix-cxx-dev (>= 3.30.0),
- pkg-config,
- autotools-dev
+ pkg-config
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/healpy.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/healpy.git
-Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
+Standards-Version: 4.1.4
 
 Package: python-healpy-data
+Depends: healpy-data, ${misc:Depends}
 Architecture: all
+Section: oldlibs
+Description: transitional package
+ This is a dummy transitional package. It can safely be removed.
+
+Package: healpy-data
+Replaces: python-healpy-data (<< 1.10.3-3~)
+Breaks: python-healpy-data (<< 1.10.3-3~)
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: HEALPix representation of spherical data - Python data
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -46,7 +55,7 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python-astropy, python-matplotlib
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
@@ -60,7 +69,7 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, python-healpy-data, libhealpix-cxx0 (>= 3.30.0)
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
 Suggests: python3-astropy, python3-matplotlib
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,26 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=healpy
+
+# Enable build hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Link-time optimisation demands knowledge about all CFLAGS both at
+# compile time (as represented by CFLAGS and CXXFLAGS) but also at
+# at link time.
+#
+# Adapted from
+# http://anonscm.debian.org/cgit/pkg-boinc/boinc.git/tree/debian/rules
+ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
+ $(info I: Activating LinkTimeOptimisation)
+ export CFLAGS += -flto
+ export CXXFLAGS += -flto
+ export LDFLAGS := $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
+ export AR := gcc-ar
+ export RANLIB := gcc-ranlib
+endif
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
@@ -22,8 +42,6 @@
 	rm -rf debian/python*-healpy/usr/lib/python*/dist-packages/healpy/data debian/python*-healpy/usr/lib/python*/dist-packages/healpy/test/data
 
 # Fix permissions on data files
-override_dh_fixperms:
-	chmod -x \
-		debian/python-healpy-data/usr/share/healpy/data/* \
-		debian/python-healpy-data/usr/share/healpy/test/data/*
+override_dh_fixperms-indep:
+	find debian/healpy-data/usr/share/healpy -type f | xargs chmod -x
 	dh_fixperms

## healpy 1.11.0

=== debian/changelog ===
healpy (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Add new build dependencies for unit tests:
    pytest-runner, pytest-cython.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 03 Jun 2018 22:58:54 -0400

healpy (1.10.3-5) unstable; urgency=medium

  * Fix precision of doctest for non-amd64 architectures.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 02:54:22 -0400

healpy (1.10.3-4) unstable; urgency=medium

  * Fix lintian warning:
    global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Run doctests.
  * Add workaround in numpy.ma.masked_values in Numpy 1.14.0,
    which should be fixed in Numpy 1.15.0. See also
    <https://github.com/numpy/numpy/issues/11112>.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 01:19:27 -0400

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  python-numpy,
  python-astropy,
  python-pytest,
+ python-pytest-cython,
+ python-pytest-runner,
  python-six,
  python3-setuptools,
  python3-all-dev,
@@ -18,6 +20,8 @@
  python3-numpy,
  python3-astropy,
  python3-pytest,
+ python3-pytest-cython,
+ python3-pytest-runner,
  python3-six,
  debhelper (>= 11),
  dh-python,
@@ -80,4 +84,3 @@
  .
  This package provides a Python3 wrapper around the C++ implementation of
  HEALPix.
-

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=healpy
+export PYBUILD_TEST_ARGS=--doctest-modules
 
 # Enable build hardening
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

## healpy 1.12.3

=== debian/changelog ===
healpy (1.12.3-2) unstable; urgency=medium

  * Depend on astropy, matplotlib, and scipy.
    These modules all must be present in order to import healpy. 

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 18:05:46 -0400

healpy (1.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Skip unit tests that require downloading external data.
  * Skip unit test that fails due to missing package data
    (see https://github.com/healpy/healpy/pull/458)
  * Depend on lastest version of healpix-cxx for ABI compatibility.
  * Rebuild C++ files from Cython sources.
    This is required for Python 3.7 since the API changed a bit.
    (Closes: 905615)

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 15:42:05 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Homepage: http://healpy.readthedocs.org
 Section: python
 Build-Depends:
+ cython,
+ cython3,
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.7),
  python-matplotlib,
@@ -13,6 +15,7 @@
  python-pytest,
  python-pytest-cython,
  python-pytest-runner,
+ python-scipy,
  python-six,
  python3-setuptools,
  python3-all-dev,
@@ -22,11 +25,12 @@
  python3-pytest,
  python3-pytest-cython,
  python3-pytest-runner,
+ python3-scipy,
  python3-six,
  debhelper (>= 11),
  dh-python,
  libcfitsio-dev,
- libhealpix-cxx-dev (>= 3.30.0),
+ libhealpix-cxx-dev (>= 3.40.0),
  pkg-config
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
@@ -59,8 +63,10 @@
 
 Package: python-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
-Suggests: python-astropy, python-matplotlib
+Depends:
+ ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
+ python-astropy, python-matplotlib, python-numpy, python-scipy,
+ healpy-data, libhealpix-cxx1
 Description: HEALPix representation of spherical data - Python interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
  of a sphere. As suggested in the name, this pixelization produces a
@@ -73,8 +79,10 @@
 
 Package: python3-healpy
 Architecture: any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-numpy, healpy-data, libhealpix-cxx0 (>= 3.30.0)
-Suggests: python3-astropy, python3-matplotlib
+Depends:
+ ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+ python3-astropy, python3-matplotlib, python3-numpy, python3-scipy,
+ healpy-data, libhealpix-cxx1
 Description: HEALPix representation of spherical data - Python3 interface
  HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
  of a sphere. As suggested in the name, this pixelization produces a

## healpy 1.12.4

=== debian/changelog ===
healpy (1.12.4-4) unstable; urgency=medium

  * Remove workaround for change in Numpy formatting due to upstream
    fix of regression (https://github.com/numpy/numpy/pull/11986).
    (Closes: 913757)

 -- Leo Singer <leo.singer@ligo.org>  Fri, 07 Dec 2018 15:30:00 -0500

healpy (1.12.4-3) unstable; urgency=medium

  * Patch unit test to set random seed so that it is reproducible.
    (Closes: #907908)

 -- Leo Singer <leo.singer@ligo.org>  Tue, 04 Sep 2018 10:54:46 -0400

healpy (1.12.4-2) unstable; urgency=medium

  * Increase tolerance for failing test on arm64, ppc64el 

 -- Leo Singer <leo.singer@ligo.org>  Mon, 27 Aug 2018 13:55:48 -0400

healpy (1.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 26 Aug 2018 14:28:58 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-setuptools (>= 0.6.14),
  python-all-dev (>= 2.7),
  python-matplotlib,
- python-numpy,
+ python-numpy (>= 1.14.6),
  python-astropy,
  python-pytest,
  python-pytest-cython,
@@ -20,7 +20,7 @@
  python3-setuptools,
  python3-all-dev,
  python3-matplotlib,
- python3-numpy,
+ python3-numpy (>= 1.14.6),
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,

## healpy 1.12.8

=== debian/changelog ===
healpy (1.12.8-8) unstable; urgency=medium

  * Add patch to make unit tests at degenerate pixel intersections
    reproducible on i386.
  * Enable building for all architectures including i386.
  * Remove dummy transitional python-healpy-data package.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 24 Jan 2019 10:19:49 -0500

healpy (1.12.8-7) unstable; urgency=medium

  * Disable link time optimization because it breaks build
    reproducibility. Furthermore, gcc produces LTO debug info that
    crashes gdb (https://gcc.gnu.org/bugzilla/show_bug.cgi?id=87362).

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 Jan 2019 15:28:44 -0500

healpy (1.12.8-6) unstable; urgency=medium

  * Build for arm64.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 20 Jan 2019 10:23:44 -0500

healpy (1.12.8-5) unstable; urgency=medium

  * Update Standards-Version to 4.3.0.
  * Build for any architecture except for i386.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 23:04:02 -0500

healpy (1.12.8-4) experimental; urgency=medium

  * Patch a doctest to workaround a Numpy string formatting bug that
    appears on armhf.
  * Patch to fix incorrect data types in pixel ufuncs on 32-bit
    platforms.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 19 Jan 2019 00:51:41 -0500

healpy (1.12.8-3) experimental; urgency=medium

  * Enable binary builds for any platform.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 21 Dec 2018 00:02:41 -0500

healpy (1.12.8-2) unstable; urgency=medium

  * Pick up libhealpix-cxx dependency automatically from shlibdeps.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 16 Dec 2018 05:36:43 -0500

healpy (1.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1.
  * Remove Python 2 package.
  * Rediff patches.
  * Remove a file that was generated by the unit tests and not meant
    to be installed (https://github.com/healpy/healpy/pull/519).

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Dec 2018 01:47:35 -0500

=== debian/control ===
Source: healpy
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Homepage: http://healpy.readthedocs.org
Section: python
Build-Depends:
 cython3,
 python3-setuptools,
 python3-all-dev,
 python3-matplotlib,
 python3-numpy (>= 1.14.6),
 python3-astropy,
 python3-pytest,
 python3-pytest-cython,
 python3-pytest-runner,
 python3-scipy,
 python3-six,
 debhelper (>= 11),
 dh-python,
 libcfitsio-dev,
 libhealpix-cxx-dev (>= 3.40.0),
 pkg-config
X-Python3-Version: >= 3.4
Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
Standards-Version: 4.3.0

Package: healpy-data
Provides: python-healpy-data
Replaces: python-healpy-data
Conflicts: python-healpy-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: HEALPix representation of spherical data - Python data
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides platform-independent data and test files for the Python
 wrapper around the C++ implementation of HEALPix.


Package: python3-healpy
Architecture: any
Depends:
 ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-astropy, python3-matplotlib, python3-numpy, python3-scipy,
 healpy-data
Description: HEALPix representation of spherical data - Python3 interface
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This package provides a Python3 wrapper around the C++ implementation of
 HEALPix.

=== debian/rules ===
--- 
+++ 
@@ -8,27 +8,11 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# Link-time optimisation demands knowledge about all CFLAGS both at
-# compile time (as represented by CFLAGS and CXXFLAGS) but also at
-# at link time.
-#
-# Adapted from
-# http://anonscm.debian.org/cgit/pkg-boinc/boinc.git/tree/debian/rules
-ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
- $(info I: Activating LinkTimeOptimisation)
- export CFLAGS += -flto
- export CXXFLAGS += -flto
- export LDFLAGS := $(CFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS)
- export AR := gcc-ar
- export RANLIB := gcc-ranlib
-endif
-
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_shlibdeps:
 	dh_shlibdeps
-	dh_numpy
 	dh_numpy3
 
 matplotlibrc:

=== debian/tests/control ===
Tests: python3-healpy
Depends: @, python3-pytest, python3-pytest-cython, python3-pytest-runner

=== debian/watch ===
version=3
https://pypi.debian.net/healpy/healpy-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## healpy 1.13.0

=== debian/changelog ===
healpy (1.13.0-4) unstable; urgency=medium

  * Update debhelper compat to 13.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 18 Jul 2020 11:07:00 -0400

healpy (1.13.0-3) unstable; urgency=medium

  * Fix FTBS on i386 due to floating point precision issues.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 18:25:32 -0400

healpy (1.13.0-2) unstable; urgency=medium

  * Add patch to fix const correctness issue that caused Healpy to
    FTBS (Closes: #964655).

 -- Leo Singer <leo.singer@ligo.org>  Thu, 09 Jul 2020 09:58:00 -0400

healpy (1.13.0-1) unstable; urgency=medium

  * New upstream release (LP: #1839344).
  * Update Standards-Version to 4.4.1.
  * Update to debhelper 12.
  * Add build dependency on libsharp-dev.
  * Update build dependency libhealpix-cxx to 3.60.0.
  * Remove obsolete X-Python3-Verson specification.
  * Fix deprecated $ADTTMP environment variable in CI tests.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 03 Jan 2020 11:34:34 -0500

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,19 @@
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,
+ python3-pytest-doctestplus,
  python3-pytest-runner,
  python3-scipy,
  python3-six,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  libcfitsio-dev,
- libhealpix-cxx-dev (>= 3.40.0),
+ libsharp-dev,
+ libhealpix-cxx-dev (>= 3.60.0),
  pkg-config
-X-Python3-Version: >= 3.4
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 
 Package: healpy-data
 Provides: python-healpy-data

## healpy 1.14.0

=== debian/changelog ===
healpy (1.14.0-1build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:27:30 +0100

healpy (1.14.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 14:12:24 +0100

healpy (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches and remove patches which have been incorporated
    upstream.
  * Update Standards-Version to 4.5.0.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 24 Jul 2020 15:51:57 -0400

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 
 Package: healpy-data
 Provides: python-healpy-data

## healpy 1.15.0

=== debian/changelog ===
healpy (1.15.0-2build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 19:21:09 +0000

healpy (1.15.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 18:02:08 +0000

healpy (1.15.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-numpy.

  [ Leo Singer ]
  * Depend on libhealpix-cxx-dev >= 3.80.0-4.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 28 Oct 2021 20:03:37 -0400

healpy (1.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch format version.
  * Set Rules-Requires-Root to no.
  * Rediff patches.
  * Depend on libhealpix-cxx-dev >= 3.80.0.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 19 Aug 2021 11:26:39 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-setuptools,
  python3-all-dev,
  python3-matplotlib,
- python3-numpy (>= 1.14.6),
+ python3-numpy,
  python3-astropy,
  python3-pytest,
  python3-pytest-cython,
@@ -21,8 +21,9 @@
  dh-python,
  libcfitsio-dev,
  libsharp-dev,
- libhealpix-cxx-dev (>= 3.60.0),
+ libhealpix-cxx-dev (>= 3.80.0-4),
  pkg-config
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-astro-team/healpy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/healpy
 Standards-Version: 4.5.0
